Package org.apache.cayenne.access.event

## Class SnapshotEvent

- java.lang.Object
- - java.util.EventObject
  - - org.apache.cayenne.event.CayenneEvent
    - - org.apache.cayenne.access.event.SnapshotEvent

- All Implemented Interfaces:
    `Serializable`

      public class SnapshotEvent
      extends CayenneEvent

  Event sent on modification of the DataRowStore.
  Since:
    1.1
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `protected Collection<ObjectId>` | `deletedIds` |
    `protected Collection<ObjectId>` | `indirectlyModifiedIds` |
    `protected Collection<ObjectId>` | `invalidatedIds` |
    `protected Map<ObjectId,​DataRow>` | `modifiedDiffs` |
    `protected long` | `timestamp` |

    - ### Fields inherited from class org.apache.cayenne.event.CayenneEvent

      `info, postedBy, subject`

    - ### Fields inherited from class java.util.EventObject

      `source`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `SnapshotEvent​(Object source, Object postedBy, Map<ObjectId,​DataRow> modifiedDiffs, Collection<ObjectId> deletedIds, Collection<ObjectId> invalidatedIds, Collection<ObjectId> indirectlyModifiedIds)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `Collection<ObjectId>` | `getDeletedIds()` |
    `Collection<ObjectId>` | `getIndirectlyModifiedIds()` |
    `Collection<ObjectId>` | `getInvalidatedIds()` |
    `Map<ObjectId,​DataRow>` | `getModifiedDiffs()` |
    `long` | `getTimestamp()` |
    `String` | `toString()` |

    - ### Methods inherited from class org.apache.cayenne.event.CayenneEvent

      `getInfo, getPostedBy, getSubject, setPostedBy, setSubject`

    - ### Methods inherited from class java.util.EventObject

      `getSource`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### timestamp

          protected long timestamp

    - #### deletedIds

          protected Collection<ObjectId> deletedIds

    - #### invalidatedIds

          protected Collection<ObjectId> invalidatedIds

    - #### modifiedDiffs

          protected Map<ObjectId,​DataRow> modifiedDiffs

    - #### indirectlyModifiedIds

          protected Collection<ObjectId> indirectlyModifiedIds

  - ### Constructor Detail

    - #### SnapshotEvent

          public SnapshotEvent​(Object source,
                               Object postedBy,
                               Map<ObjectId,​DataRow> modifiedDiffs,
                               Collection<ObjectId> deletedIds,
                               Collection<ObjectId> invalidatedIds,
                               Collection<ObjectId> indirectlyModifiedIds)

  - ### Method Detail

    - #### getTimestamp

          public long getTimestamp()

    - #### getModifiedDiffs

          public Map<ObjectId,​DataRow> getModifiedDiffs()

    - #### getDeletedIds

          public Collection<ObjectId> getDeletedIds()

    - #### getInvalidatedIds

          public Collection<ObjectId> getInvalidatedIds()

    - #### getIndirectlyModifiedIds

          public Collection<ObjectId> getIndirectlyModifiedIds()

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `EventObject`